/*
 * 2x1 plating of 2.5" form factor (SFF-8201) drive 2.5-mm height adapters
 *
 * Copyright (C) 2016, 2017  Patrick McDermott
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

include <../lib/sff8201-ha.scad>

/* Height adapter dimensions */
   out_l = 100.00;  /* Length (SFF-8201 dimension A6, typ.) */
   out_w =  69.85;  /* Width (SFF-8201 dimension A4) */
   out_h =   2.50;  /* Height (SFF-8201 dimension A1, 9.50 - 7.00) */
   out_b =   1.25;  /* Corner and top bevel */
    in_l =  80.00;  /* Inner void length */
    in_w =  60.00;  /* Inner void width */
in_cor_b =   1.25;  /* Inner void corner bevel */
in_top_b =   0.25;  /* Inner void top bevel */

spacing = 2;  /* Spacing between height adapters */

union() {
	for (i = [-1, 1]) {
		translate([i * (out_w/2 + spacing/2), 0, 0])
			rotate([0, 0, 90])
			sff8201_ha(out_l, out_w, out_h, out_b, in_l, in_w,
				in_cor_b, in_top_b);
	}
}
